"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const log = require("./log");
const mqtt = require("./mqttdispatcher");
const config = require("./config");
const EspThermToJson = require("./espthermtojson");
const MongoSave = require("./mongosave");
const MissingEventDetector = require("./missingeventdetector");
log.info("Dispatcher starting");
config.readConfig();
let dispatcher = new mqtt.MqttDispatcher(config.dict.brokerUrl, config.dict.brokerUser, config.dict.brokerPass, config.dict.brokerCa);
const ESP_THERM_TOPIC = 'IoT/espThermometer2/#';
dispatcher.register(ESP_THERM_TOPIC, 'toJson', EspThermToJson.espThermToJson);
let missingeventdetector = new MissingEventDetector.MissingEventDetector();
dispatcher.register(ESP_THERM_TOPIC, 'MissingEventDetector', missingeventdetector);
if (!config.dict.disableDatabaseAccess) {
    let mongo = new MongoSave.MongoSave(config.dict.mongoDbUrl);
    dispatcher.register(ESP_THERM_TOPIC, 'MongoSave', mongo);
}
dispatcher.exec();
log.info("Dispatcher running");
//# sourceMappingURL=main.js.map